package net.sourceforge.squirrel_sql.plugins.dataimport.prefs;
/*
 * Copyright (C) 2005 Rob Manning
 * manningr@users.sourceforge.net
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
import java.io.Serializable;

/**
 * A bean class to store preferences for the Dataimport plugin.
 */
public class DataImportPreferenceBean implements Cloneable, Serializable {
	private static final long serialVersionUID = -2654355894514940588L;
	
	/** Use the truncate command instead of delete if the database supports it */
    private boolean useTruncate = true;
    
    /**
     * Standard constructor
     */
	public DataImportPreferenceBean() {
		super();
	}

	/**
	 * Return a copy of this object.
	 */
	@Override
	public Object clone() {
		try {
			return super.clone();
		} catch (CloneNotSupportedException ex) {
			throw new InternalError(ex.getMessage()); // Impossible.
		}
	}

    /**
     * @param useTruncate The useTruncate to set.
     */
    public void setUseTruncate(boolean useTruncate) {
        this.useTruncate = useTruncate;
    }

    /**
     * @return Returns the useTruncate.
     */
    public boolean isUseTruncate() {
        return useTruncate;
    }

}

